Page MenuHomePhabricator

Cite : Share : Export (Consolidate and replace a variety of items on the sidebar)
Open, Needs TriagePublic

Description

I propose to consolidate and replace a variety of items on the sidebar, notably the "print/export" section, which will help with the sharability/discoverability of articles and also help solve the emotive issue of 'social media' in Wikipedia: It could be called "Share | Cite | Export" tool. When the button is clicked, it would open a clean/simple dialogue box on top of the page that would provide 3 clear groups/tabs of options. The local community on each wiki could determine which elements they wished to have included in each group.

Group 1 would be Cite and this would have little dropdown boxes for any format desired - Harvard, BibTeX, MLA, Zotero... This would also have a clear link to a documentation page such as w:Wikipedia:The_Wikipedia_Library/Research_help

Group 2 would be Share. This would have:

  • stable link to current version
  • short URL
  • QR code (ideally QRpedia code)
  • Share-links for whatever common social media platforms are relevant. On English Wikipedia this would certainly include Twitter and Facebook, but on Chinese Wikipedia this would definitely include Weibo, etc.

Group 3 would be Export and would include the options currently in the 'print/export' section of the sidebar:

  • Printable version
  • Download as PDF
  • Create book
  • The 'gather' tool might go here too [I'm not sure how it is supposed to interact with either 'watchlist' or 'create book' function to be honest...]

The visual design of this system, the order of the groups, and the order of items within the groups would all need to have some serious UX research because the point is both to be a 'one stop shop for sharing' but ALSO to be intuitive and not overwhelm the user with documentation.

Wittylama (talk) 10:44, 21 November 2015 (UTC)

This card tracks a proposal from the 2015 Community Wishlist Survey: https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey

This proposal received 6 support votes, and was ranked #80 out of 107 proposals. https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Miscellaneous#Cite_:_Share_:_Export

Event Timeline

DannyH created this task.Dec 5 2015, 12:37 AM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Wishlist 51-on on the Community-Wishlist-Survey-2015 board.
DannyH added a subscriber: DannyH.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 5 2015, 12:37 AM
Reedy added a project: Cite.Dec 8 2015, 8:49 AM
Reedy set Security to None.
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:52 PM
DannyH updated the task description. (Show Details)Feb 6 2016, 12:26 AM
Izno removed a project: Cite.Feb 19 2016, 1:12 PM
Izno added subscribers: Reedy, Izno.

@Reedy The "Cite" referred to in the task is the same as the "Cite this page" link in the lefthand sidebar, which has nothing to do with the Cite extension.

Reedy added a comment.Feb 19 2016, 4:16 PM

@Reedy The "Cite" referred to in the task is the same as the "Cite this page" link in the lefthand sidebar, which has nothing to do with the Cite extension.

Well, not any more. Back before July 2014 they were part of the same extension

https://github.com/wikimedia/mediawiki-extensions-CiteThisPage/commit/7c705dbac3ad2f37e0810e2aae970bead0d5681a

@Reedy The "Cite" referred to in the task is the same as the "Cite this page" link in the lefthand sidebar, which has nothing to do with the Cite extension.

Well, not any more. Back before July 2014 they were part of the same extension
https://github.com/wikimedia/mediawiki-extensions-CiteThisPage/commit/7c705dbac3ad2f37e0810e2aae970bead0d5681a

Same repo, different extensions with different entry points.

Aklapper renamed this task from Cite : Share : Export to Cite : Share : Export (Consolidate and replace a variety of items on the sidebar).Oct 3 2016, 1:24 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptOct 3 2016, 1:24 PM
APerson added a subscriber: APerson.May 3 2017, 1:45 AM
MacFan4000 closed this task as Resolved.Oct 23 2017, 7:55 PM
MacFan4000 claimed this task.
Samwalton9 reopened this task as Open.Oct 23 2017, 10:13 PM

Not seeing that this is resolved.

Samwalton9 removed MacFan4000 as the assignee of this task.Oct 23 2017, 10:15 PM
Samwalton9 added a subscriber: MacFan4000.
MacFan4000 closed this task as Resolved.Oct 24 2017, 12:42 AM
MacFan4000 claimed this task.

Project is being archived, so this is no longer a valid task.

MacFan4000 removed MacFan4000 as the assignee of this task.Oct 24 2017, 12:44 AM
Izno reopened this task as Open.Oct 24 2017, 12:45 AM

The project being archived does not invalidate the feature request.

Izno edited projects, added CiteThisPage; removed MediaWiki-extensions-WikiShare.
daniel added a subscriber: daniel.Apr 20 2018, 11:57 AM

This ties in with something I have been wanting for a long time for Wikidata: an easy way to discover the entity URI associated with a wikidata page, as well as different data URLs (see T161527). For example, on https://www.wikidata.org/wiki/Q64, I would want to be able to discover:

Etc